<?php

namespace App\ViewModels\LojaCompra\LojaCompraCartaoCreditoPagSeguro\LojaCompraRegistrationViewModel;

use App\Utils\Entity;

class LojaCompraCartaoRegistrationViewModel extends Entity {
	protected $id_usuario;
	protected $id_pet;
	protected $id_loja;
	protected $produtos;
	protected $valor_total;
	protected $payment_method;

	public static function builder(): LojaCompraCartaoRegistrationViewModelBuilder {

		return new LojaCompraCartaoRegistrationViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdUsuario() {

		return $this->id_usuario;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdPet() {

		return $this->id_pet;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdLoja() {

		return $this->id_loja;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getProdutos() {

		return $this->produtos;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValorTotal() {

		return $this->valor_total;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getPaymentMethod() {

		return $this->payment_method;

	}

	/**
	 *
	 * @param mixed $id_usuario
	 */
	public function setIdUsuario($id_usuario) {

		$this->id_usuario = $id_usuario;

	}

	/**
	 *
	 * @param mixed $id_pet
	 */
	public function setIdPet($id_pet) {

		$this->id_pet = $id_pet;

	}

	/**
	 *
	 * @param mixed $id_loja
	 */
	public function setIdLoja($id_loja) {

		$this->id_loja = $id_loja;

	}

	/**
	 *
	 * @param mixed $produtos
	 */
	public function setProdutos($produtos) {

		$this->produtos = $produtos;

	}

	/**
	 *
	 * @param mixed $valor_total
	 */
	public function setValorTotal($valor_total) {

		$this->valor_total = $valor_total;

	}

	/**
	 *
	 * @param mixed $payment_method
	 */
	public function setPaymentMethod($payment_method) {

		$this->payment_method = $payment_method;

	}

}

